Skip to main content
GET
/
knowledge
/
entries
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "<string>",
    "path": "<string>",
    "title": "<string>",
    "entry_type": "note",
    "content": "<string>",
    "content_hash": "<string>",
    "tags": [
      "<string>"
    ],
    "status": "active",
    "sync_status": "pending",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_id
string
required

Agent ID to list entries for

type
enum<string>

Optional entry type filter

Available options:
note,
plan,
decision,
journal,
research

Response

Entry list

id
string<uuid>
agent_id
string
path
string
title
string
entry_type
enum<string>
Available options:
note,
plan,
decision,
journal,
research
content
string

Full markdown content (only included in single-entry reads)

content_hash
string
tags
string[]
status
enum<string>
Available options:
active,
archived
sync_status
enum<string>
Available options:
pending,
synced,
quarantined
created_at
string<date-time>
updated_at
string<date-time>